"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
var React = __importStar(require("react"));
var grommet_1 = require("grommet");
var getInitials = function (firstName, lastName) {
    return "" + ((firstName === null || firstName === void 0 ? void 0 : firstName.charAt(0).toUpperCase()) || '') + ((lastName === null || lastName === void 0 ? void 0 : lastName.charAt(0).toUpperCase()) || '');
};
exports.Avatar = function (_a) {
    var src = _a.src, firstName = _a.firstName, lastName = _a.lastName, emphasized = _a.emphasized, otherProps = __rest(_a, ["src", "firstName", "lastName", "emphasized"]);
    var initials = getInitials(firstName, lastName);
    return (React.createElement(React.Fragment, null,
        src && (React.createElement(grommet_1.Avatar, __assign({ size: emphasized ? 'large' : 'medium', src: src }, otherProps))),
        initials && !src && (React.createElement(grommet_1.Avatar, __assign({ size: emphasized ? 'large' : 'medium' }, otherProps), initials)),
        !initials && !src && (React.createElement(grommet_1.Avatar, __assign({ size: emphasized ? 'large' : 'medium' }, otherProps)))));
};
