import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Avatar as GrommetAvatar, } from 'grommet';
var getInitials = function (firstName, lastName) {
    return "" + ((firstName === null || firstName === void 0 ? void 0 : firstName.charAt(0).toUpperCase()) || '') + ((lastName === null || lastName === void 0 ? void 0 : lastName.charAt(0).toUpperCase()) || '');
};
export var Avatar = function (_a) {
    var src = _a.src, firstName = _a.firstName, lastName = _a.lastName, emphasized = _a.emphasized, otherProps = __rest(_a, ["src", "firstName", "lastName", "emphasized"]);
    var initials = getInitials(firstName, lastName);
    return (React.createElement(React.Fragment, null,
        src && (React.createElement(GrommetAvatar, __assign({ size: emphasized ? 'large' : 'medium', src: src }, otherProps))),
        initials && !src && (React.createElement(GrommetAvatar, __assign({ size: emphasized ? 'large' : 'medium' }, otherProps), initials)),
        !initials && !src && (React.createElement(GrommetAvatar, __assign({ size: emphasized ? 'large' : 'medium' }, otherProps)))));
};
