/// <reference types="react" />
import { DefaultProps } from '../../common-types';
import { AvatarProps as GrommetAvatarProps } from 'grommet';
export interface AvatarProps extends DefaultProps, Omit<GrommetAvatarProps, 'size'> {
    firstName?: string;
    lastName?: string;
    emphasized?: boolean;
}
export declare const Avatar: ({ src, firstName, lastName, emphasized, ...otherProps }: AvatarProps) => JSX.Element;
